abstract class IRepository<T> {
  Future<T> get(dynamic id);
  Future<void> add(T object);
  Future<void> addAll(Iterable<T> object);
  Future<void> delete(dynamic id);
  Future<void> update(dynamic key, T object);
}
